Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.netuix.servlets.controls.application.backing
Enum DesktopBackingContext.AsyncModeType

    java.lang.Object
      java.lang.Enum<DesktopBackingContext.AsyncModeType>
          com.bea.netuix.servlets.controls.application.backing.DesktopBackingContext.AsyncModeType

All Implemented Interfaces
  Serializable, Comparable<DesktopBackingContext.AsyncModeType>

Enclosing class:
  DesktopBackingContext

    public static enum DesktopBackingContext.AsyncModeType

extends Enum<DesktopBackingContext.AsyncModeType>

Valid values for `asyncMode` attribute on the desktop element.

Enum Constant Summary
`compat_9_2` Default - Turns off AJAX mode for desktops and on for portlets.
`disabled` Turns off AJAX mode for desktops and portlets
`enabled` Turns on AJAX mode for desktop off for portlets

Method Summary
`static DesktopBackingContext.AsyncModeType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DesktopBackingContext.AsyncModeType[]` | `values()` Returns an array containing the constants of this enum type, in the order theyre declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### enabled

    public static final DesktopBackingContext.AsyncModeType enabled

  Turns on AJAX mode for desktop off for portlets

### disabled

    public static final DesktopBackingContext.AsyncModeType disabled

  Turns off AJAX mode for desktops and portlets

### compat_9_2

    public static final DesktopBackingContext.AsyncModeType compat_9_2

  Default - Turns off AJAX mode for desktops and on for portlets.

Method Detail

### values

    public static final DesktopBackingContext.AsyncModeType[] values()

  Returns an array containing the constants of this enum type, in the order theyre declared.

### valueOf

    public static DesktopBackingContext.AsyncModeType valueOf(String name)

  Returns the enum constant of this type with the specified name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved